DH_INSTALLINIT(1)

NOME
dh_installinit - instala ficheiros de iniciação de serviços em directórios de compilação de pacotes

RESUMO
dh_installinit [debhelper opções] [--name=nome] [-n] [-R] [-r] [-d] [-- params]

DESCRIÇÃO
dh_installinit é um programa debhelper que é responsável por instalar scripts init com os ficheiros de predefinições associados. Em níveis de compatibilidade até, e incluindo, 10, dh_installinit ira também instalar alguns ficheiros relacionados com o systemd fornecidos pelo empacotamento debian (veja a secção "FICHEIROS" em baixo). Em níveis de compatibilidade até, e incluindo, 11, dh_installinit irá também lidar com trabalhos de arranque fornecidos pelo empacotamento debian (veja "FICHEIROS" para mais informação sobre isto também).

Também gera automaticamente os comandos postinst e postrm e prerm necessários para definir os links simbólicos em /etc/rc*.d/ para iniciar e parar os scripts init.

Em compatibilidade 10 ou anterior: Se um pacote apenas embarcar um ficheiro de serviço do systemd e não for disponibilizado nenhum script de sysvinit, você pode querer excluir a chamada ao dh_installinit para esse pacote (ex. via -N). Caso contrário, você pode obter avisos do lintian acerca de scripts init.d a não serem incluídos no pacote.

FICHEIROS

debian/pacote.init
    Se isto existir, é instalado em etc/init.d/pacote no directório de compilação do pacote.

debian/pacote.default
    Se isto existir, é instalado em etc/default/pacote no directório de compilação do pacote.

debian/pacote.upstart
    Em nível de compatibilidade 11, este ficheiro irá disparar um erro com uma lembrança para assegurar a remoção apropriada do ficheiro upstart na versão anterior do pacote. Por favor consider usar a funcionalidade "rm_conffile" do dh_installdeb(1) para assegurar a remoção apropriada de ficheiros upstart anteriores.

    No nível de compatibilidade 10, se este ficheiro existir, é instalado em etc/init/pacote.conf no directório de compilação do pacote.

debian/pacote.service
    Se isto existir, é instalado em usr/lib/systemd/system/pacote.service no directório de compilação do pacote. Apenas usado nos níveis de compatibilidade 10 e inferiores.

debian/pacote.tmpfile
    Se isto existir, é instalado em usr/lib/tmpfiles.d/pacote.conf no directório de compilação do pacote. Apenas usado nos níveis de compatibilidade 10 e inferiores.

OPÇÕES

-n, --no-scripts
    Não modifique os scripts postinst/postrm/prerm.

-o, --only-scripts
    Apenas modifica os scripts postinst/postrm/prerm, não instala na realidade nenhum script de init, ficheiros predefinidos, ficheiros de trabalho upstart ou serviço do systemd. Pode ser útil se o ficheiro é embarcado e/ou instalado pelo autor original num modo que não deixa ser fácil deixar o dh_installinit encontra-lo.

    Caveat: Isto irá passar ao lado de todas as verificações regulares e modificar incondicionalmente os scripts. Quase de certeza que você irá querer usar isto com -p para limitar quais pacotes serão afectados pela chamada. Exemplo:

     override_dh_installinit:
            dh_installinit -pfoo --only-scripts
            dh_installinit --remaining

-R, --restart-after-upgrade
    Não para o script de iniciação até que a actualização do pacote estejam completa. Este é o comportamento predefinido no nível compatibilidade 10.

    Nos níveis de compatibilidade anteriores, a predefinição era parar o script em prerm, e depois arranca-lo de novo no postinst.

    Isto pode ser útil para daemons que não devem ter a possibilidade de ficar em baixo durante muito tempo durante a actualização. Mas você deve certificar-se que o daemon não vai ficar confuso por o pacote estar a ser actualizado enquanto ele está a correr antes de usar esta opção.

--no-restart-after-upgrade
    Desfaz um --restart-after-upgrade prévio (ou a predefinição do nível de compatibilidade 10). Se não forem dadas mais opções, isto irá causar com que o serviço seja parado no script prerm e arrancado de novo no script postinst.

-r, --no-stop-on-upgrade, --no-restart-on-upgrade
    Não para o script init na actualização. Isto tem o efeito secundário de não reiniciar o serviço como parte da actualização.

    Se desejar reiniciar o serviço com o tempo mínimo de desligado, por favor use --restart-after-upgrade (predefinido em compatibilidade 10 ou posterior). Se desejar que o serviço seja reiniciado mas que fique parado durante a actualização, então por favor use --no-restart-after-upgrade (repare no "after-upgrade").

    Note que o alias --no-restart-on-upgrade está descontinuado e será também removido em compatibilidade 12. Isto serve para evitar confusão com a opção --no-restart-after-upgrade. A variante --no-stop-on-upgrade foi introduzida no debhelper 10.2 (incluído em Debian stretch).

--no-start
    Não inicia o script de init durante a instalação ou actualização, ou não o para durante a remoção. Apenas chama update-rc.d. Útil para scripts rcS.

--no-enable
    Disable the init script on purge, but do not enable them on install. Note that this requires init-system-helpers >= 1.51 as it is the first (functional) version that supports update-rc.d <script> defaults-disabled.

    Note que esta opção não afecta se os serviços são arrancados. Por favor lembre-se de também usar --no-start se o serviço não deverá ser arrancado.

    Não pode ser combinado com -uparams, --update-rcd-params=params, ou -- params.

-d, --remove-d
    Remove o d final do nome do pacote, e usa o resultado para o nome do ficheiro de trabalho upstart que é instalado em etc/init/ , e para o nome do ficheiro de script de iniciação que é instalado em etc/init.d e o ficheiro predefinido é instalado em etc/default/. Isto pode ser útil para daemons com nomes que terminam em d. (Note: isto toma precedência sobre o parâmetro --init-script descrito em baixo).

-uparams --update-rcd-params=params
-- params
    Passa parâmetros para update-rc.d(8). Se não especificado, defaults (ou defaults-disabled com --no-enable) será passado para update-rc.d(8).

    Não pode ser combinado com --no-enable.

--name=nome
    Instala o script de iniciação (e ficheiro predefinido) assim como o ficheiro de trabalho upstart usando no nome de ficheiro nome em vez do nome predefinido, o qual é o nome do pacote. Quando este parâmetro é usado, o dh_installinit procura e instala ficheiros chamados debian/package.name.init, debian/package.name.default e debian/package.name.upstart em vez dos usuais debian/package.init, debian/package.default e debian/package.upstart.

--init-script=nome-do-script
    Usa scriptname para o nome do script de iniciação que é instalado em etc/init.d/ (e também o usa como nome de ficheiro para o ficheiro de predefinições, se for instalado). Se você usar este parâmetro, o dh_installinit irá ver se existe um ficheiro no directório debian/ que seja parecido com package.scriptname e se existir instala-o como script de iniciação em preferência dos ficheiros que normalmente instala.

    Este parâmetro está descontinuado, use o parâmetro --name em vez deste. Este parâmetro é incompatível com o uso de tarefas upstart.

--error-handler=função
    Chama a função de shell chamada se a execução do script de iniciação falhar. A função deve ser disponibilizada nos scripts prerm e postinst, antes do token #DEBHELPER#.

NOTAS
Note que este comando não é idempotente. O dh_prep(1) deve ser chamado entre invocações deste comando. Caso contrário, pode causar múltiplas instâncias do mesmo texto a ser adicionado aos scripts do maintainer.

VEJA TAMBÉM
debhelper(7), dh_installsystemd(1)

Este programa é parte do debhelper.

AUTORES
Joey Hess <joeyh@debian.org>

Steve Langasek <steve.langasek@canonical.com>

Michael Stapelberg <stapelberg@debian.org>

TRADUÇÃO
Américo Monteiro

Se encontrar algum erro na tradução deste documento, por favor comunique para Américo Monteiro a_monteiro@gmx.com ou Equipa Debian de Tradução Portuguesa traduz@debianpt.org.